
Redmine - Defect #34933

Atom feed of the activity page does not contain items after the second page

2021-03-19 06:33 - Yuichi HARADA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Activity view Estimated time: 0.00 hour

Target version: 4.1.3   

Resolution: Fixed Affected version:  

Description

I'm receiving Atom feeds on the Activity.

I thought I was receiving the number of feeds set in Administration > Settings > General > Maximum number of items in Atom

feeds, but actually I received only the events displayed on the first page of the Activity.

Related issues:

Related to Redmine - Patch #35413: Add missing fixtures to ActivitiesControll... Closed

Associated revisions

Revision 20931 - 2021-04-12 11:10 - Go MAEDA

Atom feed of the activity page does not contain items after the second page (#34933).

Patch by Yuichi HARADA.

Revision 20933 - 2021-04-13 04:38 - Go MAEDA

Merged r20931 from trunk to 4.2-stable (#34933).

Revision 20934 - 2021-04-13 04:42 - Go MAEDA

Merged r20931 from trunk to 4.1-stable (#34933).

Revision 21046 - 2021-06-25 04:44 - Go MAEDA

Add missing fixtures to ActivitiesControllerTest (#34933, #35413).

Patch by Yuichi HARADA.

Revision 21047 - 2021-06-25 04:47 - Go MAEDA

Merged r21046 from trunk to 4.2-stable (#34933, #35413).

Revision 21048 - 2021-06-25 04:48 - Go MAEDA

Merged r21046 from trunk to 4.1-stable (#34933, #35413).

History

#1 - 2021-03-19 06:48 - Yuichi HARADA

- File 34933.patch added

I created a patch.

diff --git a/app/controllers/activities_controller.rb b/app/controllers/activities_controller.rb

index 745a40219..e1bba49f6 100644

--- a/app/controllers/activities_controller.rb

+++ b/app/controllers/activities_controller.rb

@@ -55,7 +55,12 @@ class ActivitiesController < ApplicationController

       end

     end

-    events = @activity.events(@date_from, @date_to)

+    events =

+      if params[:format] == 'atom'

+        @activity.events(nil, nil, :limit => Setting.feeds_limit.to_i)

2025-05-17 1/2



+      else

+        @activity.events(@date_from, @date_to)

+      end

     if events.empty? || stale?(:etag => [@activity.scope, @date_to, @date_from, @with_subprojects, @author, e

vents.first, events.size, User.current, current_language])

       respond_to do |format|

#2 - 2021-03-28 08:13 - Go MAEDA

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

#3 - 2021-04-09 07:34 - Go MAEDA

- File 34933-v2.patch added

- Subject changed from Received Atom feed entries only of the first page of Activity to Atom feed of the activity page does not contain items after the

second page

- Target version changed from Candidate for next minor release to 4.1.3

In 34933-v2.patch, I have changed the test name.

#4 - 2021-04-12 11:10 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

#5 - 2021-04-13 04:42 - Go MAEDA

- Status changed from Resolved to Closed

#6 - 2021-06-19 07:58 - Go MAEDA

- Related to Patch #35413: Add missing fixtures to ActivitiesControllerTest added

Files

34933.patch 1.49 KB 2021-03-19 Yuichi HARADA

34933-v2.patch 1.48 KB 2021-04-09 Go MAEDA
